package jp.gihyo.mitoma.android.s0703listview;

import androidx.appcompat.app.AppCompatActivity;

import android.os.Bundle;
import android.util.SparseBooleanArray;
import android.view.View;
import android.widget.AdapterView;
import android.widget.ArrayAdapter;
import android.widget.ListView;
import android.widget.Toast;

import java.util.ArrayList;

public class MainActivity extends AppCompatActivity {

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);
        ListView listView = findViewById(R.id.lvFriends);

        FriendsDAO friendsDS = FriendsDAO.getInstance();
        ArrayList<FriendsDTO> friendsList = friendsDS.select();
        // アダプタ生成とセット(カスタムレイアウト使用)
        ArrayAdapter<FriendsDTO> adapter = new ArrayAdapter<>(
                this,R.layout.custom_list_item,friendsList);
        listView.setAdapter(adapter);
        // リスナーのセット
        listView.setOnItemClickListener(new OnItemClick());
    }
    private class OnItemClick implements AdapterView.OnItemClickListener{
        public void onItemClick(AdapterView<?> parent, View view, int position, long id) {
            // 選択行に対応するDTOの取得
            FriendsDTO dto = (FriendsDTO)parent.getItemAtPosition(position);
            Toast.makeText(MainActivity.this,dto.name + "さんが選択されました",Toast.LENGTH_LONG).show();
        }
    }
}